from flask import redirect, url_for
from flask import Flask
from flask import render_template
from flask import request
from flask import make_response
from flask import jsonify
import re
####################################

import paho.mqtt.client as mqtt
from kafka import KafkaProducer
from time import sleep
import json
import threading
####################################

text= ""

# The callback for when the client receives a CONNACK response from the server.
# client : Client Trying to Connect to Server
# userdata:
# flags: Tells if broker still has session info for the client(if 1 session still exist)
# rc: if 0 connection sucessful/ if 1,2,3,4 connection refused

def on_connect(client, userdata, flags, rc):
	if rc == 0:
		print("Connection Successful With Code "+str(rc))
		global text
                text = str(text)+'\n'
		client.publish("my_text_topic",str(text),2)
		print "In On Connect"
		print(str(text))
	else:
                print("Connection Failed With Code "+str(rc))


app = Flask(__name__)
credentials = {'expendables':'abc123'}
@app.route('/')
def hello_world():
    return 'You Are In Expendables Homepage'

@app.route('/send_text',methods = ['POST'])
def sensor_on_off():
	global text
        text = request.form.get('message')
     	print "Text: "
     	print(str(text))

	client = mqtt.Client()
        client.on_connect = on_connect

        client.connect("52.37.101.139", 1883, 60)

        client.loop_start()

	response = make_response(render_template('success.html'))
	return response

@app.route('/validate', methods = ['POST','GET'])
def validate():
    email = request.form['email'].strip()
    password = request.form['password'].strip()
    if (password == credentials[email]):

	response = make_response(render_template('success.html'))
	return response
    else:
	return 'Incorrect password'

@app.route('/login')
def login():
    return render_template('login.html')


@app.route('/logout')
def logout():
    return redirect(url_for('login'))


if __name__ == '__main__':
    app.debug = True
    app.run(host='0.0.0.0')
    app.run()

